---
title: "gce/WARN/2021_007"
linkTitle: "WARN/2021_007"
weight: 1
type: docs
description: >
  Serial logs don't contain "BSOD" messages
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The messages:
"Dumping stack trace" / "pvpanic.sys" in serial output usually indicate that some
fatal error occured on a Windows instance.

### Remediation

This issue requires futher troubleshooting as root causes vary in this case.
Some common issues that could cause BSODs:
- Memory pressure
- Disk pressure
- Filesystem issues
- Software (driver) issues
- Hardware issues

You can use the following log query to find matching log lines:

```
resource.type="gce_instance"
log_id("serialconsole.googleapis.com/serial_port_1_output")
textPayload:(
  "Dumping stack trace"
  OR
  "pvpanic.sys"
  )
```

### Further information

- [Troubleshooting blue screen errors](https://cloud.google.com/compute/docs/troubleshooting/troubleshooting-windows#blue-screen)
