---
title: "gke/WARN/2022_001"
linkTitle: "WARN/2022_001"
weight: 1
type: docs
description: >
  GKE clusters with workload identity are regional.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Workload Identity is higly dependent of the availability of the cluster control
plane during token fetches. It is recommended to use regional clusters for the
production workload with Workload Identity enabled.

### Further information

- [GKE Regional clusters](https://cloud.google.com/kubernetes-engine/docs/concepts/regional-clusters)
- [Workload Identity](https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity)
- [Hardening your cluster](https://cloud.google.com/kubernetes-engine/docs/how-to/hardening-your-cluster#workload_identity)
